@function url-friendly-colour($colour) {
  @return "%23" + str-slice("#{$colour}", 2, -1);
}

@mixin mat-custom-list-theme($theme) {
  $accent: map-get($theme, accent);
  $primary: map-get($theme, primary);
  $warn: map-get($theme, warn);

  .mat-list-base {
    .mat-list-item {
      &:hover {
        background: $grey-0;
      }

      .mat-list-item-ripple {
        position: relative;
      }

      .mat-list-item-content {
        padding: 0.75rem 1rem;
        font-size: 0.875rem;
        color: $grey-9;
        display: flex;
        flex-direction: row;
        justify-content: flex-start;

        .mat-list-text + .mat-slide-toggle {
          margin-right: 0.75rem;
        }

        & > .spacer {
          flex: 1;
        }

        & > button,
        & > .mat-icon:not(.mat-list-icon),
        & > .mat-badge {
          margin-left: 0.75rem;
        }

        .mat-list-icon {
          padding: 0 0.75rem 0 0;
        }

        /** Badge **/
        .mat-badge {
          .mat-badge-content {
            right: 0;
            top: 0;
            position: relative;
            font-size: 0.875rem;
            line-height: 1.5rem;
            height: 1.5rem;
            min-width: 1.5rem;
            border-radius: 1rem;
            padding: 0;
          }
        }
      }

      &.mat-list-single-selected-option {
        background-color: $blue-50;
      }
    }

    mat-divider{
      position: relative;
    }
  }
}
